运行 composer update 报错 zlib_decode(): data error 的解决办法

今天在Windows上升级Laravel 5.1.4至Laravel 5.1.11,运行composer update时报错:

composer报错:zlib_decode(): data error

解决方式如下:

编辑php.ini,修改zlib扩展相关配置:

zlib.output_compression = On
zlib.output_compression_level = 5

修改完成后保存php.ini,再次运行composer update,则不再报错:

运行 composer update 升级 Laravel

学院君 has written 881 articles

Laravel学院院长,终身学习者

积分:99627 等级:P12 职业:码农 城市:杭州

2 条回复

  1. 倔强的小兵儿 倔强的小兵儿 says:
    这个很有帮助,?!!!

登录后才能进行评论,立即登录?